org.apache.thrift

## Interface TFieldIdEnum

-     public interface TFieldIdEnum

  Interface for all generated struct Fields objects.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFieldName()` Get the field's name, exactly as in the IDL.
    `short` | `getThriftFieldId()` Get the Thrift field id for the named field.

- - ### Method Detail

    - #### getThriftFieldId

          short getThriftFieldId()

      Get the Thrift field id for the named field.

    - #### getFieldName

          java.lang.String getFieldName()

      Get the field's name, exactly as in the IDL.